   \input texinfo

Smart Boot Manager 3.x ¼òÃ÷ÓÃ»§Ö¸ÄÏ
***********************************

     Suzhe, `suzhe@gnuchina.org'
     v0.10, 2001 Äê 2 ÔÂ 10 ÈÕ

   ±¾ÎÄµµ¼òµ¥½éÉÜÁË Smart Boot Manager 3.x µÄÊ¹ÓÃ·½·¨.

¼ò ½é
*****

°æ È¨
=====

   Smart Boot Manager is a free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License as published
by the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

   This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

   You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software Foundation,
Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

   Smart BootManager ÊÇ×ÔÓÉÈí¼þ; Äã¿ÉÒÔÔÚ×ñ´ÓÓÉ×ÔÓÉÈí¼þ»ù½ð»á(FSF)·¢²¼µÄ
GNU Í¨ÓÃ¹«¹²°æÈ¨Ð­Òé (GNU GPL) µÚ¶þ°æ»òºóÐø°æ±¾Ìõ¿îµÄÇ°ÌáÏÂ,
ÖØÐÂ·¢²¼»òÐÞ¸Ä±¾Èí¼þ.

   ±¾Èí¼þÊÇ»ùÓÚÊµÓÃµÄÀíÄî¶ø·¢²¼µÄ, µ«Ã»ÓÐÈÎºÎµ£±£, ÉõÖÁ²»±£Ö¤ÊÊÓÃÓÚ
ÈÎºÎÌØÊâÓÃÍ¾. ²Î¼û GNU Í¨ÓÃ¹«¹²°æÈ¨Ð­Òé, ÒÔ»ñµÃÏêÏ¸ÐÅÏ¢.

   ±¾Èí¼þÓ¦¸Ã¸½ÓÐÒ»·Ý GNU Í¨ÓÃ¹«¹²°æÈ¨Ð­ÒéµÄ¸±±¾, Èç¹ûÃ»ÓÐ, ÇëÖÂº¯
×ÔÓÉÈí¼þ»ù½ð»á(FSF): 675 Mass Ave, Cambridge, MA 02139, USA.

Smart Boot Manager 3-x ÊÇÊ²Ã´ ²»ÊÇÊ²Ã´?
=======================================

   Smart Boot Manager (»òËõÐ´Îª SmartBtmgr),
ÊÇÒ»¸öÏµÍ³ÎÞ¹ØµÄÆô¶¯¹ÜÀíÆ÷--- Ò»¸öÔÚÈÎºÎÏµÍ³Æô¶¯Ö®Ç°, ÓÉ BIOS
µ÷ÓÃ²¢Ö´ÐÐµÄ³ÌÐò. Ëü¿ÉÒÔÈÃÄãÑ¡ÔñÒª½øÈëµÄ ²Ù×÷ÏµÍ³.

   SmartBtmgr ºÍ OS/2 BootManager, Bootit, Bootstar, System Command ÒÔ¼°
PQ-Boot µÈÈí¼þÀàËÆ. µ«Ëü`²»ÊÇ'Ò»¸ö²Ù×÷ÏµÍ³Òýµ¼³ÌÐò. Ò²¾ÍÊÇËµ,
ÄãÔÚÊ¹ÓÃ±¾Èí ¼þ¹ÜÀí¶à¸ö²Ù×÷ÏµÍ³µÄÊ±ºò, »¹±ØÐëÊ¹ÓÃ LILO (»òÆäËüÀàËÆÈí¼þ)
À´Òýµ¼ Linux.

Smart Boot Manager 3-x µÄÌØÐÔ
=============================

   SmartBtmgr µÄÉè¼ÆÄ¿±êÊÇ¼òµ¥, Áé»îÒÔ¼°½ÏÐ¡µÄ³ß´ç.
Ëü¾ßÓÐÓÑºÃµÄÀà´°¿Ú½çÃæ , Áª»ú°ïÖúºÍ¼òµ¥Ò×ÓÃµÄµ¯³öÊ½ÃüÁî²Ëµ¥.
ËüÎÞÐèÅäÖÃÎÄ¼þ»ò¶îÍâµÄÅäÖÃ³ÌÐò, ËùÓÐ¹¤×÷¶¼¿ÉÒÔÓÉËü±¾ÉíÍê³É. ÀýÈç,
ÔÚµÚÒ»´ÎÔËÐÐµÄÊ±ºò, Ëü¿ÉÒÔ×Ô¶¯ËÑË÷ËùÓÐ Çý¶¯Æ÷ºÍ·ÖÇø. µ±È»,
ÄãÔÚÈÎºÎÊ±ºò¶¼¿ÉÒÔÈÃËüÖØÐÂ½øÐÐËÑË÷. Ã¿¸öÒýµ¼¼ÇÂ¼µÄÃû
³ÆÒ²¿ÉÒÔÔÚËüµÄ½çÃæÀïÖ±½ÓÐÞ¸Ä. ÔÚ°²×°Íê³ÉÒÔºó, ¾Í²»ÓÃÔÙÊ¹ÓÃ°²×°³ÌÐòÁË, ³ý
·ÇËüÔâµ½ÆÆ»µ. Äã²»½ö¿ÉÒÔ½«Ëü°²×°ÔÚÓ²ÅÌ, »¹¿ÉÒÔ°²×°ÔÚÈíÅÌÉÏ.

   SmartBtmgr ·Ç³£Ð¡, Ëü¿ÉÒÔ°²×°ÔÚÓ²ÅÌµÄµÚÒ»¸ö´ÅµÀÖÐ(Òþ²ØÉÈÇø),
Ëü²»ÐèÒªÈÎ ºÎÌØÊâµÄ·ÖÇø, ËùÒÔËüÊÇÕæÕýÏµÍ³ÎÞ¹ØµÄ, ÕâÓë System Commander,
OS/2 Boot Manager ºÍ PQ-Boot µÈÈí¼þ²»Í¬. µ±È», Linux Ò²²»ÊÇ±ØÐëµÄ.

   ¾¡¹ÜËü·Ç³£Ð¡, µ«Ëü¾ßÓÐ·Ç³£Ç¿´óµÄ¹¦ÄÜ. Ëü»¹ÓÐÐí¶àÆäËûÌØÐÔ, Èç¿ÚÁî±£»¤,
×Ô¶¯ÑÓÊ±Æô¶¯, Ö±½ÓÆô¶¯ (Óë Choose-OS ÖÐµÄ single-shot autoboot ÀàËÆ),
¶àÓïÑÔÓÃ»§½çÃæ, Æô¶¯ÈÕ³Ì, Ô¤×°ÔØ°´¼üÐòÁÐ, ½»»»Çý¶¯Æ÷ºÅµÈ.

   Äã¿ÉÒÔºÜÈÝÒ×µØ¶¨ÖÆ SmartBtmgr ÓÃ»§½çÃæµÄ·ç¸ñºÍÓïÑÔ.
½çÃæÊý¾ÝÎÄ¼þºÍ³ÌÐò ÊÇÍêÈ«¶ÀÁ¢µÄ, ËùÒÔ¿ÉÒÔ¶ÀÁ¢µØ¸Ä±ä½çÃæÊý¾Ý,
¶øÎÞÐèÖØÐÂ±àÒë³ÌÐò. µ±Ç°°æ±¾
ÖÐ°üº¬Á½¸ö±ê×¼µÄ½çÃæÊý¾ÝÎÄ¼þ---ÖÐÎÄ½çÃæºÍÓ¢ÎÄ½çÃæ.

ÔõÑù±àÒëºÍ¶¨ÖÆ Smart Boot Manager 3-x?
**************************************

ÔõÑù±àÒë Smart Boot Manager 3-x?
================================

ÐèÒªÊ²Ã´Èí¼þ?
-------------

   ¶ÔÓÚ Linux ÓÃ»§, ÐèÒª `gcc', `make' ºÍ `nasm' (Netwide Assembler,
ÏÂÔØµØÖ·: http://www.web-sites.co.uk/nasm/
(http://www.web-sites.co.uk/nasm/)).  ¶ÔÓÚ DOS ÓÃ»§, ±ØÐè¾ß±¸ `DJGPP'
(GCC µÄ DOS ÒÆÖ²°æ, ÏÂÔØµØÖ·: http://www.delorie.com/djgpp/
(http://www.delorie.com/djgpp/)) ºÍ `nasm'.

   »¹±ØÐëÓÐ UCL Ñ¹Ëõ¿â (URL:
http://wildsau.idv.uni-linz.ac.at/mfx/ucl.html
(http://wildsau.idv.uni-linz.ac.at/mfx/ucl.html)) ²ÅÄÜÕýÈ·±àÒë Smart
BootManager.

ÔõÑù±àÒë?
---------

   ±à¼­ Makefile ÎÄ¼þ, ÐÞ¸Ä `'TARGET[lowbar]OS=xxx" Ò»ÐÐ. Èç¹ûÊ¹ÓÃµÄÊÇ
Linux, ½«ÕâÐÐ¸ÄÎª `TARGET[lowbar]OS=linux', Èç¹ûÊ¹ÓÃµÄÊÇ DOS, Ôò¸ÄÎª
`TARGET[lowbar]OS=dos'.

   È»ºóÖ´ÐÐ make ÃüÁî¼´¿É.

   ±àÒëºÃµÄ¿ÉÖ´ÐÐÎÄ¼þ·ÅÔÚ installer/ Ä¿Â¼Àï.

   Ö´ÐÐ `make install' ÃüÁî°²×°. ¶ÔÓÚ Linux, È±Ê¡¿ÉÖ´ÐÐÎÄ¼þ°²×°Ä¿Â¼ÊÇ
/usr/sbin/, Ö÷ÌâÎÄ¼þ½«°²×°µ½ /usr/share/btmgr/, ÎÄµµ½«°²×°µ½
/usr/doc/btmgr/.  Èç¹ûÐèÒª¸Ä±ä°²×°Ä¿Â¼, Çë±à¼­ Makefile ÎÄ¼þ.

ÔõÑù¶¨ÖÆºÍ°²×°Ö÷ÌâÎÄ¼þ?
=======================

   Äã¿ÉÒÔ´Ó±¾³ÌÐòÌá¹©µÄÁ½¸ö±ê×¼Ö÷ÌâÎÄ¼þ¿ªÊ¼±à¼­Äã×Ô¼ºµÄÖ÷ÌâÎÄ¼þ. ±ê×¼
Ö÷ÌâÎÄ¼þ·ÅÔÚ manager/themes/ Ä¿Â¼Àï.

   ÔÚ±à¼­ÐÂÖ÷ÌâÎÄ¼þµÄÊ±ºò, Çë²ÎÔÄÖ÷ÌâÎÄ¼þÖÐµÄ×¢ÊÍ.

   Äã±ØÐëÓÐ `nasm' ²ÅÄÜ±àÒëÖ÷ÌâÎÄ¼þ.  ±àÒë·½·¨·Ç³£¼òµ¥, ÀýÈç,
¼ÙÉèÐÂÖ÷ÌâÎÄ¼þµÄÃû³ÆÎª mytheme.asm, Ò»ÏÂÃüÁî ½«²úÉúÒ»¸ö mytheme.asmm
µÄ¶þ½øÖÆ°æ±¾:

     % nasm -fbin -o mytheme.bin mytheme.asm

   Èç¹ûÄãÏëÔÚÖ÷ÌâÎÄ¼þÖÐÊ¹ÓÃ·Ç±ê×¼¼üÅÌÓ³Éä±í, ÔòÊ¹ÓÃÒÔÏÂÃüÁî:

     % nasm -DKEYMAP_XXX -fbin -o mytheme.bin mytheme.asm

   ÆäÖÐ, KEYMAP[lowbar]XXX ÓÐÒÔÏÂËÄÖÖÑ¡Ôñ:

     KEYMAP_AZERTY           (AZERTY ¼üÅÌ)
     KEYMAP_QWERTZ           (QWERTZ ¼üÅÌ)
     KEYMAP_DVORAK           (Dvorak ¼üÅÌ)
     KEYMAP_DVORAK_ANSI      (ANSI Dvorak ¼üÅÌ)

   ×¢Òâ, ÏàÓ¦µÄ¼üÅÌÓ³Éä±íÎÄ¼þ(azerty.kbd ...)±ØÐëÔÚµ±Ç°Ä¿Â¼ÖÐ.

   ÏÖÔÚÄã¿ÉÒÔÊ¹ÓÃÐÂµÄÖ÷ÌâÎÄ¼þ°²×° Smart Boot Manager ÁË (²Î¼û
ÔõÑù°²×° Smart Boot Manager 3-x? ):

   ¶Ô linux:

     % sbminst -t mytheme.bin -d /dev/hda

   ¶Ô dos:

     > sbminst -t mytheme.bin -d 128

ÔõÑù°²×° Smart Boot Manager 3-x?
********************************

°²×°³ÌÐòÊ¹ÓÃ·½·¨
================

   Ä¿Ç°±¾Èí¼þ°üº¬ DOS ºÍ Linux µÄ°²×°³ÌÐò. °²×°³ÌÐò·ÅÔÚ installer/
Ä¿Â¼ÖÐ.  DOS ºÍ Linux °²×°³ÌÐòÆäÊµÊÇÓÉÍ¬Ò»¸öÔ´ÎÄ¼þ±àÒë¶øÀ´.
ËùÒÔËüÃÇµÄÓÃ·¨Ò²·Ç³£ ÀàËÆ.

   °²×°³ÌÐòµÄÓÃ·¨ÊÇ:

       sbminst [-t theme] [-d drv] [-b backup_file] [-u backup_file]

        -t theme     Ñ¡ÔñÒªÊ¹ÓÃµÄÖ÷Ìâ, ÆäÖÐ theme ¿ÉÒÔÊÇ:
                        us = Ó¢ÓïÖ÷Ìâ         de = µÂÓïÖ÷Ìâ
                        hu = ÐÙÑÀÀûÓïÖ÷Ìâ     zh = ÖÐÎÄÖ÷Ìâ
                        ru = ¶íÓïÖ÷Ìâ         cz = ½Ý¿ËÓïÖ÷Ìâ
                        es = Î÷°àÑÀÓïÖ÷Ìâ     fr = ·¨ÓïÖ÷Ìâ
                        pt = ÆÏÌÑÑÀÓïÖ÷Ìâ

                        »òÕßÊÇÒ»¸öÓÃ»§¶¨ÖÆÖ÷ÌâµÄÎÄ¼þÃû.

        -d drv       Ñ¡ÔñÒª°²×° Smart BootManager µÄÇý¶¯Æ÷;
                     ¶ÔÓÚ Linux:
                        /dev/fd0 ÊÇµÚÒ»¸öÈíÅÌÇý¶¯Æ÷,
                        /dev/hda ÊÇµÚÒ»¸ö IDE Ó²ÅÌÇý¶¯Æ÷,
                        /dev/sda ÊÇµÚÒ»¸ö SCSI Ó²ÅÌÇý¶¯Æ÷.
                     ¶ÔÓÚ DOS:
                        0   ÊÇµÚÒ»¸öÈíÅÌÇý¶¯Æ÷,
                        128 ÊÇµÚÒ»¸öÓ²ÅÌÇý¶¯Æ÷;

        -c           ¹Ø±Õ¹âÇýÆô¶¯ÌØÐÔ;

        -b backup_file ±¸·ÝÒª±»¸²¸ÇµÄÊý¾Ý, ÒÔ±ãÒÔºóÐ¶ÔØ Smart BootManager;

        -u backup_file Ð¶ÔØ Smart BootManager, Õâ¸öÑ¡ÏîÖ»ÄÜ¶ÀÁ¢Ê¹ÓÃ.

        -y             ²»ÌáÊ¾ÈÎºÎ¾¯¸æÐÅÏ¢»òÎÊÌâ.

   ÀýÈç, ÔÚ Linux ÏÂÊ¹ÓÃÃüÁî `smbinst -t zh -d /dev/hda -b sbm-bak.dat'
½« ÖÐÎÄ½çÃæµÄ SmartBtmgr °²×°µ½µÚÒ»¿éÓ²ÅÌ, ²¢½«Ô­Ê¼Êý¾Ý±¸·Ýµ½
sbm-bak.dat ÎÄ¼þÖÐ.

   Ê¹ÓÃÃüÁî `'sbminst -u sbm-bak.dat" ½«ÆäÐ¶ÔØ.

ÌØ¶¨ÏµÍ³µÄ°²×°ËµÃ÷
==================

°²×° Linux µÄËµÃ÷
-----------------

   Èç¹ûÏëÓÃ Smart BootManager Òýµ¼ Linux, Äã±ØÐë½« LILO °²×°µ½ Linux
·ÖÇøµÄ Superblock ÖÐ, ¶ø²»ÊÇ MBR ÖÐ.

   ±à¼­ÎÄ¼þ /etc/lilo.conf, ½«°üº¬ "boot=/dev/hda" µÄÒ»ÐÐ¸ÄÎª
"boot=/dev/hda?", ÆäÖÐ /dev/hda? ÊÇ Linux ºËÐÄËùÔÚµÄ·ÖÇø.  È»ºóÔËÐÐ
/sbin/lilo.

°²×° Windows NT Windows 2000 FreeBSD OS/2 and Solaris µÄËµÃ÷
------------------------------------------------------------

   ÄãÓ¦¸Ã½«ÕâÐ©ÏµÍ³°²×°µ½µÚÒ»¿éÓ²ÅÌµÄ»ù±¾·ÖÇøÖÐ.
Âß¼­·ÖÇøºÍµÚ¶þ¿é(»òÆäËü)Ó²ÅÌ ½«²»±»Ö§³Ö.
ÖÁÉÙÎÒÃ»ÓÐ³¢ÊÔ¹ýÔÚµÚÒ»¿éÓ²ÅÌµÄ»ù±¾·ÖÇøÒÔÍâ°²×°ÕâÐ©ÏµÍ³.

   ÄãÓ¦¸Ã´ò¿ªÕâÐ©ÏµÍ³µÄÒýµ¼¼ÇÂ¼µÄ×Ô¶¯¼¤»î±êÖ¾, ·ñÔò¿ÉÄÜ³öÏÖÎÊÌâ.

°²×° DOS Windows 9x µÄËµÃ÷
--------------------------

   ÄãÓ¦¸Ã½« DOS ºÍ Windows 9x °²×°µ½µÚÒ»¿éÓ²ÅÌµÄ»ù±¾·ÖÇøÖÐ.
¾¡¹ÜËüÃÇÒ²¿ÉÒÔ °²×°µ½Âß¼­·ÖÇø»òÆäËüÓ²ÅÌ, µ«ÎÒ²»½¨ÒéÕâÃ´×ö. ²Î¼û
¸ß¼¶Ê¹ÓÃ¼¼ÇÉ Ò»½Ú , ÒÔµÃµ½¸üÏêÏ¸µÄÐÅÏ¢.

ÔõÑùÊ¹ÓÃ Smart Boot Manager 3-x?
********************************

ÔõÑùÔËÐÐ±¾³ÌÐò?
===============

   °²×°Íê³Éºó, ÖØÐÂÆô¶¯¼ÆËã»ú. Èç¹û±¾Èí¼þ°²×°ÔÚÁËÈíÅÌÉÏ,
Çë½«ÈíÅÌ²åÈë°²×° Ê±Ê¹ÓÃµÄÇý¶¯Æ÷, ²¢´ÓÕâ¸öÇý¶¯Æ÷Òýµ¼.ÕâÊ±,
Äú½«¿´µ½±¾Èí¼þµÄÖ÷½çÃæ.  °´ F1 ¼üÒÔµÃµ½¼òµ¥µÄÁª»ú°ïÖú.

Smart Boot Manager 3-x µÄ½çÃæ
=============================

   ÆÁÄ»ÖÐÑëÊÇÆô¶¯²Ëµ¥, ÆäÖÐÁÐ³öÁË, ±¾Èí¼þËÑË÷³öÀ´µÄËùÓÐ·ÖÇøºÍÈíÅÌÇý¶¯Æ÷,
Ã¿Ò»¸ö·ÖÇø (»òÈíÇý) ³ÆÎªÒ»¸öÆô¶¯¼ÇÂ¼, ÀýÈç:

              Flags    Number  Type     Name
          ---------------------------------------------
            ---------D  FD0  0  NONE     Floppy
            ---------D  HD0  0  NONE     Harddisk
            ---------D  HD1  0  NONE     Harddisk
            ---------D  CD0  0  NONE     CD-ROM
          * ----aAh---  HD0  1  FAT32    Primary 1
            p-k----Hl-  HD0  5  FAT32    Logical 5
            -S---A----  HD1  1  Linux    Primary 1
            ---X-A----  HD1  2  FAT32    Primary 2

   ÒÔÉÏÀý×ÓÖÐ, µÚÒ»Ìõ¼ÇÂ¼ÎªÈíÇý (A:),
µÚ¶þÌõ¼ÇÂ¼ºÍµÚÈýÌõ¼ÇÂ¼·Ö±ð±íÊ¾Á½¿éÓ²ÅÌ (MBR). µÚËÄÌõ¼ÇÂ¼Îª IDE ¹âÇý.
ÏÂÒ»Ìõ¼ÇÂ¼ÎªµÚÒ»¿éÓ²ÅÌÉÏµÄµÚÒ»¸ö»ù±¾·ÖÇø, ÔÙÏÂÒ»Ìõ¼ÇÂ¼ÎªµÚÒ»¸öÂß¼­·ÖÇø,
ÒÔ´ÎÀàÍÆ.

   Æô¶¯²Ëµ¥ÖÐ¸÷À¸µÄÒâÒåÈçÏÂ:

         Flags (±êÖ¾): ±êÖ¾Æô¶¯¼ÇÂ¼µÄÄ³Ð©ÊôÐÔ, Ã¿¸ö×ÖÄ¸»ò·ûºÅµÄÒâÒå·Ö±ðÎª:
                   * : ±íÊ¾´Ë¼ÇÂ¼ÎªÈ±Ê¡Æô¶¯µÄ¼ÇÂ¼, µ±Ê±¼äµ¹¼ÆÊ±Îª0Ê±,
                       »ò°´ESC¼ü, ½«Æô¶¯´Ë¼ÇÂ¼;

                   p : ±íÊ¾´Ë¼ÇÂ¼ÓÐ¿ÚÁî±£»¤, °´ F9 ¼ü¿ÉÒÔ¸Ä±äÖ¸¶¨¼ÇÂ¼µÄ¿ÚÁî;

                   S : ±íÊ¾´Ë¼ÇÂ¼±»ÁÐÈëÁËÆô¶¯ÈÕ³Ì±í, Èç¹ûµ±Ç°Ê±¼äÕýºÃ´¦ÓÚ
                       ´Ë¼ÇÂ¼µÄÈÕ³ÌÖ®ÄÚ, SmartBtmgrÔò»á½«´Ë¼ÇÂ¼ÉèÖÃÎªÈ±Ê¡
                       Æô¶¯¼ÇÂ¼. ÓÃ Ctrl-S ¼üÉèÖÃ»òÈ¡Ïûµ±Ç°¼ÇÂ¼µÄÈÕ³Ì°²ÅÅ.

                   k : ±íÊ¾ÔÚÆô¶¯´Ë¼ÇÂ¼Ö®Ç°, ÐèÒª×°ÔØÒ»Ð©°´¼üµ½¼üÅÌ»º³å
                       ÇøÖÐ. ÓÃ Ctrl-K ¼üÉèÖÃ»òÈ¡Ïûµ±Ç°¼ÇÂ¼µÄÔ¤×°ÔØ°´¼ü
                       ÐòÁÐ.

                   X : ±íÊ¾ÉèÖÃÁË½»»»Çý¶¯Æ÷±êÖ¾.
                       µ±Æô¶¯Õâ¸ö·ÖÇøµÄÊ±ºò, µ±Ç°Çý¶¯Æ÷½«ºÍ¿ÉÆô¶¯µÄÇý¶¯Æ÷
                       (ID=128) ½»»». ÀýÈç, Èç¹ûµÚ¶þ¿éÓ²ÅÌ(ID=129)ÉÏµÄ·ÖÇø
                       ÉèÖÃÁËÕâ¸ö±êÖ¾, ÔòÔÚÆô¶¯Õâ¸ö·ÖÇøµÄÊ±ºò, µÚÒ»¿é(ID=128)
                       ºÍµÚ¶þ¿é(ID=129)Ó²ÅÌ½«Ïà»¥½»»».
                       ´ËÌØÐÔÔÚÆô¶¯°²×°ÔÚµÚ¶þ¿é»òÒÔºóÓ²ÅÌÉÏµÄDOS/WindowsµÈ
                       ²Ù×÷ÏµÍ³µÄÊ±ºòÌØ±ðÓÐÓÃ.

                   a : ±íÊ¾´Ë¼ÇÂ¼ÔÚÆô¶¯Ê±½«±»×Ô¶¯¼¤»î, Ò»°ãÇé¿öÏÂ, °²×°ÓÐ
                       Windows 9XÏµÍ³µÄFAT»ù±¾·ÖÇø¶¼ÐèÒªÉèÖÃ´Ë±êÖ¾,
                       ·ñÔò¿ÉÄÜÎÞ·¨Õý³£Æô¶¯ÏµÍ³. °´ F6 ¼üÇÐ»»´Ë±ê¼Ç.

                   A : ±íÊ¾´Ë¼ÇÂ¼ÒÑ¾­±»±êÖ¾Îª¼¤»î, °´ F4 ¼ü¼¤»îÖ¸¶¨µÄ»ù±¾·ÖÇø;

                   h : ±íÊ¾ÔÚÆô¶¯ÆäËû¼ÇÂ¼Ê±, ½«×Ô¶¯Òþ²Ø´Ë¼ÇÂ¼
                       (¼´½«·ÖÇøÀàÐÍ¸ÄÎª0xA0). Òþ²Ø¹¦ÄÜÒ»°ãÖ»¶Ô
                       DOS, Windows 9X/NTÏµÍ³Æð×÷ÓÃ, Èç¹ûÐèÒª×èÖ¹
                       ËûÈË·ÃÎÊÒ»¸ö·ÖÇø, ¿ÉÒÔÉèÖÃ´Ë±êÖ¾, ²¢ÉèÖÃ¿ÚÁî.

                   H : ±íÊ¾´Ë¼ÇÂ¼ÒÑ¾­±»Òþ²Ø, °´ F5 ¼üÒþ²Ø (»ò½â³ýÒþ²Ø) Ò»¸ö·ÖÇø;

                   l : ±íÊ¾´Ë¼ÇÂ¼ÎªÂß¼­·ÖÇø;

                   D : ±íÊ¾´Ë¼ÇÂ¼Îª´ÅÅÌÇý¶¯Æ÷, ÔÚÄ¿Ç°°æ±¾ÖÐ½ö±íÊ¾ÈíÅÌºÍÓ²ÅÌÇý¶¯Æ÷.

         Number (±àºÅ): Æô¶¯¼ÇÂ¼µÄÇý¶¯Æ÷ºÍ·ÖÇø±àºÅ, ÆäÖÐ×ó±ßµÄÎªÇý¶¯Æ÷±àºÅ,
                        ÓÒ±ßµÄÎª·ÖÇø±àºÅ, ¶ÔÓÚ´ÅÅÌÇý¶¯Æ÷, ·ÖÇø±àºÅ×ÜÎª 0;
                        ¶ÔÓ²ÅÌ·ÖÇø, ·ÖÇø±àºÅÓëLinuxÖÐµÄÏàÍ¬.

         Type (ÀàÐÍ) : ·ÖÇøÀàÐÍ, ¶ÔÓÚ´ÅÅÌÇý¶¯Æ÷, ÀàÐÍÎªNONE.

         Name (Ãû³Æ) : Æô¶¯¼ÇÂ¼µÄÃû³Æ, °´ F3 ¼üÐÞ¸Ä.

   Smart BootManager µÄÄ³Ð©ÐÅÏ¢ºÍÈ«¾Ö±êÖ¾ÏÔÊ¾ÔÚÆÁÄ»µÄÓÒÏÂ½Ç, ¸ñÊ½Îª:

      |HD0|PSALE| 28: 30

   µÚÒ»²¿·Ö(HD0)ÊÇµ±Ç°Æô¶¯Çý¶¯Æ÷µÄ BIOS ±êºÅ,
µÚ¶þ²¿·Ö(PSALE)ÊÇÈ«¾Ö±êÖ¾,ÆäÒâÒåÎª:

     P  :  ÒÑÉèÖÃÁË¹ÜÀíÔ±¿ÚÁî.
     S  :  Smart Boot Manager ´¦ÓÚ°²È«Ëø¶¨Ä£Ê½.
     A  :  Smart Boot Manager ´¦ÓÚ¹ÜÀíÄ£Ê½.
     L  :  "±£´æÉÏ´ÎÆô¶¯¼ÇÂ¼" ÌØÐÔÒÑ´ò¿ª.
     E  :  À©Õ¹ Int 13H ÒÑ´ò¿ª.

   µÚÈý²¿·Ö(28: 30)ÊÇÑÓÊ±¼ÆÊýÆ÷.

ÈÈ ¼ü
=====

   ±¾Èí¼þµÄ¹¦ÄÜ¼ü¼°¶¨ÒåÈçÏÂ:

              F1    »ñµÃ°ïÖú
         Ctrl+F1    ÏÔÊ¾¹ØÓÚ´°¿Ú
              F2    ±£´æËù×÷µÄÐÞ¸Ä
              F3    ÐÞ¸ÄÆô¶¯¼ÇÂ¼µÄÃû³Æ
              F4    ½«Ò»¸ö»ù±¾·ÖÇø±ê¼ÇÎª¼¤»î
              F5    Òþ²Ø/½â³ýÒþ²ØÒ»¸ö·ÖÇø
              F6    ÉèÖÃ/È¡Ïû×Ô¶¯¼¤»î±êÖ¾
              F7    ÉèÖÃ/È¡Ïû×Ô¶¯Òþ²Ø±êÖ¾
              F8    ÉèÖÃÈ±Ê¡Æô¶¯¼ÇÂ¼
        Shift+F8    È¡ÏûÈ±Ê¡Æô¶¯¼ÇÂ¼
              F9    ¸Ä±äÆô¶¯¼ÇÂ¼µÄ¿ÚÁî
             F10    ¸Ä±ä¹ÜÀíÔ±¿ÚÁî
        Ctrl+F10    ½øÈë/Àë¿ª¹ÜÀíÄ£Ê½
         Alt+F10    ½øÈë/Àë¿ª°²È«Ëù¶¨Ä£Ê½

          Ctrl+D    É¾³ýÒ»ÌõÆô¶¯¼ÇÂ¼
          Ctrl+T    ÉèÖÃÑÓÊ±
          Ctrl+I    ÖØÐÂÉ¨ÃèËùÓÐ¿ÉÄÜµÄÆô¶¯¼ÇÂ¼£¬²¢ÖØ½¨Æô¶¯¼ÇÂ¼±í
          Ctrl+H    ÖØÐÂÉ¨ÃèËùÓÐ·ÖÇø£¬²¢ÖØ½¨Æô¶¯¼ÇÂ¼±í

          Ctrl+P    ¸´ÖÆµ±Ç°Æô¶¯¼ÇÂ¼
          Ctrl+U    ÏòÉÏÒÆ¶¯µ±Ç°Æô¶¯¼ÇÂ¼
          Ctrl+N    ÏòÏÂÒÆ¶¯µ±Ç°Æô¶¯¼ÇÂ¼

          Ctrl+S    ÉèÖÃ/È¡Ïûµ±Ç°Æô¶¯¼ÇÂ¼µÄÈÕ³Ì°²ÅÅ
          Ctrl+K    ÉèÖÃ/È¡Ïûµ±Ç°Æô¶¯¼ÇÂ¼µÄÔ¤×°ÔØ°´¼üÐòÁÐ

          Ctrl+X    ÉèÖÃ/È¡Ïû½»»»Çý¶¯Æ÷±êÖ¾

          Ctrl+F    ¸Ä±äÆô¶¯²Ëµ¥Ä£Ê½(·ç¸ñ)

          Ctrl+L    ÉèÖÃ/È¡Ïû "±£´æÇ°´ÎÆô¶¯¼ÇÂ¼ÌØÐÔ". Èç¹û´ò¿ª´ËÄ£Ê½,
                    ÆÁÄ»ÓÒÏÂ·½»á³öÏÖÒ»¸ö 'L' ×ÖÄ¸, SBM »á½«±¾´ÎÆô¶¯µÄ
                    ¼ÇÂ¼±£´æÏÂÀ´×÷ÎªÏÂ´ÎÆô¶¯µÄÈ±Ê¡¼ÇÂ¼.

          Ctrl+Q    ÍË³öµ½ BIOS

         Up,Down    ÒÆ¶¯Ñ¡ÔñÌõ
          / »ò ?    ÏÔÊ¾µ±Ç°Æô¶¯¼ÇÂ¼µÄÐÅÏ¢
           Enter    Æô¶¯Ñ¡ÖÐµÄ¼ÇÂ¼

         Del,Home,End,PageDown    ÒÆ¶¯Ö÷´°¿Ú
         Ð¡¼üÅÌ +   ¸Ä±äÏÔÊ¾Ä£Ê½

         Ctrl+F10   ¹Ø»ú

              Tab   ´ò¿ª/¹Ø±ÕÃüÁî²Ëµ¥

   µ±ÃüÁî²Ëµ¥±»´ò¿ªµÄÊ±ºò, ¿ÉÒÔÊ¹ÓÃÒÔÏÂÒ»Ð©¹¦ÄÜ¼ü:
       Up,Down    ÒÆ¶¯ÃüÁî²Ëµ¥µÄÑ¡ÔñÌõ.
         Enter    Ö´ÐÐÑ¡ÖÐµÄÃüÁî.

       Ctrl+Up    ÒÆ¶¯Æô¶¯²Ëµ¥µÄÑ¡ÔñÌõ.
     Ctrl+Down

          Home
        Delete    ÒÆ¶¯ÃüÁî²Ëµ¥.
           End
      PageDown

     Ctrl+Home
      Ctrl+Del    ÒÆ¶¯Æô¶¯²Ëµ¥(Ö÷´°¿Ú).
      Ctrl+End
     Ctrl+PgDn

ÃüÁî²Ëµ¥
========

   ÓÃ Tab ¼ü´ò¿ª»ò¹Ø±ÕÃüÁî²Ëµ¥(Esc Ò²¿ÉÒÔ¹Ø±Õ²Ëµ¥).
±¾³ÌÐò°üÀ¨Èý¸öÃüÁî²Ëµ¥: Ö÷²Ëµ¥, Æô¶¯¼ÇÂ¼ÉèÖÃ²Ëµ¥ºÍÏµÍ³ÉèÖÃ²Ëµ¥.

Ö÷²Ëµ¥
------

     Help             ÏÔÊ¾°ïÖú´°¿Ú
     About            ÏÔÊ¾¹ØÓÚ´°¿Ú
     ±£  ´æ           ±£´æËù×÷µÄÐÞ¸Ä
     Æô  ¶¯           Æô¶¯Ñ¡ÖÐµÄÆô¶¯¼ÇÂ¼
     Æô¶¯Ô­ÓÐ MBR     Æô¶¯Ô­ÓÐµÄ MBR (°²×° Smart BootManagerÒÔÇ°µÄMBR)
     Æô¶¯¼ÇÂ¼ÉèÖÃ     ´ò¿ªÆô¶¯¼ÇÂ¼ÉèÖÃ²Ëµ¥
     ÏµÍ³ÉèÖÃ         ´ò¿ªÏµÍ³ÉèÖÃ²Ëµ¥

     Quit             ÍË³öµ½ BIOS, ¼´Æô¶¯ÏÂÒ»¸ö¿ÉÆô¶¯Éè±¸
     Power Off        ¹Ø±Õ¼ÆËã»úµçÔ´ (ÐèÒªÖ§³Ö APM µÄÖ÷°å)

Æô¶¯¼ÇÂ¼ÉèÖÃ²Ëµ¥
----------------

     ÐÅ    Ï¢         ÏÔÊ¾Æô¶¯¼ÇÂ¼ÐÅÏ¢
     Ãû    ³Æ         ÐÞ¸ÄÆô¶¯¼ÇÂ¼µÄÃû³Æ
     ¿Ú    Áî         ÉèÖÃÆô¶¯¼ÇÂ¼µÄ¿ÚÁî
     ÈÕ    ³Ì         ÉèÖÃÆô¶¯¼ÇÂ¼µÄÈÕ³Ì°²ÅÅ
     °´    ¼ü         ÉèÖÃÆô¶¯¼ÇÂ¼µÄÔ¤×°ÔØ°´¼üÐòÁÐ

     ¼¤    »î         ¼¤»îÆô¶¯¼ÇÂ¼
     Òþ    ²Ø         Òþ²ØÆô¶¯¼ÇÂ¼
     ×Ô¶¯¼¤»î         ÉèÖÃ/È¡Ïû×Ô¶¯¼¤»î±êÖ¾
     ×Ô¶¯Òþ²Ø         ÉèÖÃ/È¡Ïû×Ô¶¯Òþ²Ø±êÖ¾
     ½»»»Çý¶¯Æ÷       ÉèÖÃ/È¡Ïû½»»»Çý¶¯Æ÷±êÖ¾

     É¾    ³ý         É¾³ýÆô¶¯¼ÇÂ¼
     ¸´    ÖÆ         ¸´ÖÆÆô¶¯¼ÇÂ¼
     ÉÏ    ÒÆ         ÉÏÒÆÆô¶¯¼ÇÂ¼
     ÏÂ    ÒÆ         ÏÂÒÆÆô¶¯¼ÇÂ¼

ÏµÍ³ÉèÖÃ²Ëµ¥
------------

     ¹ÜÀí¿ÚÁî                    ÉèÖÃ¹ÜÀí¿ÚÁî
     ¹ÜÀíÄ£Ê½                    ½øÈë/ÍË³ö¹ÜÀíÄ£Ê½
     °²È«Ä£Ê½                    ½øÈë/ÍË³ö°²È«Ä£Ê½
     ÉèÖÃÈ±Ê¡¼ÇÂ¼                ÉèÖÃÈ±Ê¡Æô¶¯¼ÇÂ¼
     È¡ÏûÈ±Ê¡¼ÇÂ¼                È¡ÏûÈ±Ê¡Æô¶¯¼ÇÂ¼
     ÉèÖÃÑÓÊ±                    ÉèÖÃÆô¶¯ÑÓÊ±
     ¸Ä±äÆô¶¯²Ëµ¥Ä£Ê½            ¸Ä±äÆô¶¯²Ëµ¥Ä£Ê½(·ç¸ñ), ¼´Òþ²Ø±êÖ¾,±àºÅ,ÀàÐÍµÈ.
     ±£´æÉÏ´ÎÆô¶¯¼ÇÂ¼            ÉèÖÃ/È¡Ïû "±£´æÉÏ´ÎÆô¶¯¼ÇÂ¼ÌØÐÔ"

     Rescan All Boot Records     ÖØÐÂËÑË÷ËùÓÐ¿ÉÄÜµÄÆô¶¯¼ÇÂ¼
     Rescan All Harddisks        ÖØÐÂËÑË÷ËùÓÐ·ÖÇø
     ÉèÖÃ CD-ROM I/O Ports       ÊÖ¹¤ÉèÖÃ¹âÇýµÄ I/O ¶Ë¿Ú
     Set year (fix Y2K BIOS bug) Îª´æÔÚ Y2k ´íÎóµÄÀÏ BIOS ÉèÖÃÕýÈ·µÄÄê·Ý.

     °²×° Smart BootManager    ½« Smart BootManager °²×°µ½Ñ¡ÖÐµÄÇý¶¯Æ÷ÖÐ
     É¾³ý Smart BootManager    É¾³ýµ±Ç°µÄ Smart BootManager

¸ß¼¶Ê¹ÓÃ¼¼ÇÉ
============

¿ÚÁî±£»¤
--------

   ±¾Èí¼þ¿ÉÒÔÉèÖÃÁ½ÖÖ¿ÚÁî, ¹ÜÀíÔ±¿ÚÁîºÍÆô¶¯¼ÇÂ¼¿ÚÁî. ¹ÜÀíÔ±¿ÚÁîÖ»ÓÐÒ»¸ö,
Ã¿¸öÆô¶¯¼ÇÂ¼¿ÉÒÔÉèÖÃÒ»¸ö¿ÚÁî.

   Èç¹ûÉèÖÃÁË¹ÜÀíÔ±¿ÚÁî, ÆÁÄ»ÓÒÏÂ½Ç½«ÏÔÊ¾Ò»¸ö 'P' ×ÖÄ¸.

   SmartBtmgr ÓÐÈýÖÖ°²È«Ä£Ê½:

   * ÆÕÍ¨Ä£Ê½

     ÕâÖÖÄ£Ê½ÖÐ, ÒÔÏÂ²Ù×÷ÐèÒªÏàÓ¦Æô¶¯¼ÇÂ¼µÄ¿ÚÁî:
        * ¸Ä±äÃû³Æ

        * ¸Ä±äÆô¶¯¼ÇÂ¼¿ÚÁî

        * ÉèÖÃ/È¡Ïû×Ô¶¯¼¤»î±êÖ¾

        * ÉèÖÃ/È¡Ïû×Ô¶¯Òþ²Ø±êÖ¾

        * ÉèÖÃ/È¡Ïû½»»»Çý¶¯Æ÷±êÖ¾

        * ¼¤»îÆô¶¯¼ÇÂ¼

        * Òþ²ØÆô¶¯¼ÇÂ¼

        * Æô¶¯¼ÇÂ¼

     ËùÓÐÆäËü²Ù×÷¶¼ÐèÒª¹ÜÀíÔ±¿ÚÁî.

   * °²È«Ëø¶¨Ä£Ê½

     ÔÚ´ËÄ£Ê½ÖÐ, ³ýÁËÆô¶¯µ±Ç°¼ÇÂ¼½öÐèÒªÏàÓ¦Æô¶¯¼ÇÂ¼µÄ¿ÚÁîÍâ,
     ËùÓÐÆäËü²Ù×÷ ¶¼ÐèÒª¹ÜÀíÔ±¿ÚÁî. ´ËÄ£Ê½ÊÇ×î°²È«µÄÄ£Ê½, ÔÚÉèÖÃÍê³Éºó,
     Ó¦¸ÃÇÐ»»µ½ÕâÖÖ Ä£Ê½.

     µ± SmartBtmgr ´¦ÓÚÕâÖÖÄ£Ê½Ê±, ÆÁÄ»ÓÒÏÂ½Ç½«ÏÔÊ¾Ò»¸ö 'S' ×ÖÄ¸.

     ÓÃ Alt-F10 ¼ü½øÈë»òÍË³ö´ËÄ£Ê½.

   * ¹ÜÀíÄ£Ê½

     ÔÚ´ËÄ£Ê½ÖÐ, ËùÓÐ²Ù×÷¶¼²»ÐèÒª¿ÚÁî. ´ËÄ£Ê½½öÓÃÓÚÅäÖÃ SmartBtmgr,
     ÅäÖÃÍê³ÉºóÓ¦¸ÃÍË³ö´ËÄ£Ê½.

     µ± SmartBtmgr ´¦ÓÚ´ËÄ£Ê½Ê±, ÆÁÄ»ÓÒÏÂ½Ç½«ÏÔÊ¾Ò»¸ö 'A' ×ÖÄ¸.

     ÓÃ Ctrl-F10 ¼ü½øÈë»òÍË³ö´ËÄ£Ê½.

ÑÓ Ê±
-----

   ÔÚ¹æ¶¨µÄÑÓÊ±Ê±¼äÄÚÈç¹ûÃ»ÓÐ°´¼ü, Ôò×Ô¶¯Æô¶¯È±Ê¡¼ÇÂ¼. Èç¹û½«ÑÓÊ±ÉèÎª 0,
Ôò²»»á½øÈë±¾Èí¼þµÄ½çÃæ, ¶øÖ±½ÓÆô¶¯È±Ê¡¼ÇÂ¼. ÕâÖÖÇé¿öÏÂÈç¹ûÐèÒª½øÈë½çÃæ,
Ö»ÐèÔÚÆô¶¯µÄÊ±ºò°´×¡ Ctrl ¼ü. Èç¹û½«ÑÓÊ±ÉèÎª 255, Ôò²»½øÐÐµ¹¼ÆÊ±.

Æô¶¯ÈÕ³Ì
--------

   ¿ÉÒÔ¸øÃ¿¸öÆô¶¯¼ÇÂ¼Ö¸¶¨Ò»¸öÊ±¼ä/ÖÜ´Î·¶Î§, ÔÚÆô¶¯¼ÆËã»úµÄÊ±ºò,
SmartBtmgr »á¼ì²éµ±Ç°Ê±¼ä,
Èç¹ûµ±Ç°Ê±¼äÕýºÃ´¦ÓÚÄ³Ò»Æô¶¯¼ÇÂ¼µÄÊ±¼ä·¶Î§ÄÚ, ´Ë¼ÇÂ¼½«±»
ÉèÖÃ³ÉÈ±Ê¡Æô¶¯¼ÇÂ¼. Èç¹ûµ±Ç°Ê±¼äÍ¬Ê±´¦ÓÚ¶à¸öÆô¶¯¼ÇÂ¼µÄÊ±¼ä¶ÎÄÚ,
Ôò×îºóÒ»¸ö Æô¶¯¼ÇÂ¼½«±»ÉèÖÃ³ÉÈ±Ê¡¼ÇÂ¼.

   Èç¹ûÆô¶¯ÑÓÊ±Îª 0, ´ËÈ±Ê¡¼ÇÂ¼½«±»×Ô¶¯Æô¶¯.

   Ê¹ÓÃ Ctrl+S ¼üÉèÖÃ»òÈ¡Ïûµ±Ç°Æô¶¯¼ÇÂ¼µÄÈÕ³ÌÊ±¼ä. Ê±¼äµÄ×îÐ¡µ¥Î»Îª·ÖÖÓ,
ÊäÈë¸ñÊ½ÊÇ:

         hh:mm-hh:mm;days

   µÚÒ»¸ö hh:mm ÊÇÆðÊ¼Ê±¼ä, µÚ¶þ¸ö hh:mm ÊÇÖÕÖ¹Ê±¼ä. Ê¹ÓÃ 24 Ð¡Ê±ÖÆ.
days ÓòÊÇÒ»×é´Ó0µ½6µÄÊý×Ö, Ã¿¸öÊý×Ö´ú±íÒ»Ìì(0-6 ´ú±íÖÜÈÕµ½ÖÜÁù).
Èç¹ûÃ»ÓÐ days Óò, ËùÓÐÌì¶¼½«±»Ñ¡ÖÐ. ÀýÈç, ¼ÙÈçÒ»¸öÆô¶¯¼ÇÂ¼ÐèÒªÔÚ
Ã¿ÖÜÒ»µ½ÖÜÎåÉÏÎç 8:00 µ½ÏÂÎç 2:30 Ö®¼äÆô¶¯, ÔòÓ¦¸ÃÊäÈë:

         08:00-14:30;12345

Ô¤×°ÔØ°´¼üÐòÁÐ
--------------

   ÔÚÆô¶¯Ä³¸ö¼ÇÂ¼Ö®Ç°, SmartBtmgr ¿ÉÒÔ½«Ò»Ð©°´¼üÐòÁÐ×°ÔØµ½¼üÅÌ»º³åÇøÖÐ.
Õâ¸ö¹¦ÄÜ¿ÉÒÔÓÃÀ´¿ØÖÆ²Ù×÷ÏµÍ³Æô¶¯²»Í¬µÄÅäÖÃ. ÀýÈç, ÔÚ¼üÅÌ»º³åÇøÖÐ´æÈë
F5, ½«Ê¹ Windows 9x  Ö±½Ó½øÈë°²È«Ä£Ê½.

   ´Ë¹¦ÄÜÓë¸´ÖÆÆô¶¯¼ÇÂ¼ÃüÁî (Ctrl+P) ÅäºÏÊ¹ÓÃ, ¿ÉÒÔÎªÒ»¸ö²Ù×÷ÏµÍ³½¨Á¢
¶à¸ö²»Í¬ÅäÖÃµÄÆô¶¯¼ÇÂ¼.

   ÀýÈç, Äã¿ÉÒÔÎª Windows 9x ÏµÍ³½¨Á¢Èý¸ö²»Í¬µÄ¼ÇÂ¼, Ò»¸ö½øÈë Windows 9x
µÄÆÕÍ¨Ä£Ê½, Ò»¸öÖ±½Ó½øÈëÃüÁîÐÐÄ£Ê½, ×îºóÒ»¸ö½øÈë°²È«Ä£Ê½.

   `×¢Òâ:' È±Ê¡Çé¿öÏÂ, LILO »áÔÚÆô¶¯µÄÊ±ºò¶ªÆú¼üÅÌ»º³åÇøÖÐµÄËùÓÐ °´¼ü,
ËùÒÔ´Ë¹¦ÄÜÒ²Ðí¶ÔÄãµÄ LILO  ²»Æð×÷ÓÃ. ÒªÊ¹´Ë¹¦ÄÜ¶Ô LILO ÓÐÐ§,
ÄãÐèÒªÖØÐÂ±àÒë°²×° LILO:

   * Ê×ÏÈÐÞ¸Ä Makefile ÎÄ¼þ, ÔÚ "CONFIG = ..." Ò»ÐÐºó¼ÓÉÏ -DNODRAIN :

       CONFIG = .... -DNODRAIN

   * È»ºóÖØÐÂ±àÒë°²×° LILO:

       $ make; make install
       $ lilo

   Äã±ØÐëÒÔ root Éí·Ö×öÕâÐ©¹¤×÷.

½»»»Çý¶¯Æ÷
----------

   Èç¹ûÄãÏëÆô¶¯°²×°ÔÚµÚ¶þ¿é»òÒÔºó·ÖÇøÉÏµÄ DOS, Windows 9x/NT/2000
»òÆäËüÄ³Ð©ÏµÍ³, Õâ¸öÌØÐÔ½«·Ç³£ÓÐÓÃ.

   µ±Æô¶¯Ò»¸öÉèÖÃÁË´Ë±ê¼ÇµÄ·ÖÇøµÄÊ±ºò, µ±Ç°Çý¶¯Æ÷½«ºÍ¿ÉÆô¶¯µÄÇý¶¯Æ÷
(ID=128) ½»»». ÀýÈç, Èç¹ûµÚ¶þ¿éÓ²ÅÌ(ID=129)ÉÏµÄ·ÖÇøÉèÖÃÁËÕâ¸ö±êÖ¾,
ÔòÔÚÆô¶¯Õâ¸ö·ÖÇøµÄÊ±ºò, µÚÒ»¿é(ID=128) ºÍµÚ¶þ¿é(ID=129)Ó²ÅÌ½«Ïà»¥½»»».

´Ó¹âÇýÆô¶¯
----------

   Smart BootManager Ö§³Ö´Ó¸÷ÖÖÀàÐÍµÄ IDE ATAPI ¹âÇýÉÏÆô¶¯ÏµÍ³, ÉõÖÁ°üÀ¨
PCMCIA ¹âÇý. µ«ÊÇÄ³Ð©ÌØÊâµÄ IDE ¿ØÖÆÆ÷Ê¹ÓÃÁË·Ç±ê×¼µÄ I/O ¶Ë¿Ú, Ê¹ Smart
BootManager ²»ÄÜÕýÈ·¼ì²â³ö¹âÇý. ÕâÊ±, Äã¿ÉÒÔÊÖ¹¤ÉèÖÃ¹âÇýµÄ I/O ¶Ë¿Ú.
ÔËÐÐÃüÁî "ÉèÖÃ CD-ROM I/O Ports"(ÔÚÏµÍ³ÉèÖÃ²Ëµ¥ÖÐ), ½«»á³öÏÖÒ»¸ö
ÊäÈë´°ÈÃÄãÊäÈë¶Ë¿Ú. Ã¿¸ö IDE ¿ØÖÆÆ÷¶¼ÓÐÁ½¸ö¶Ë¿Ú, Èç 0x1F0,0x3F6 (Ö÷ IDE
¿ØÖÆÆ÷). °´ÕÕÒÔÏÂ¸ñÊ½ÊäÈë¶Ë¿ÚÊý¾Ý:

     1F0,3F6             (´óÐ´Ê®Áù½øÖÆÊý, ÖÐ¼äÓÃ¶ººÅ·Ö¸ô)

   È»ºóÓÃÃüÁî "Rescan All Drivers"(Ctrl-I) ÕÒ³ö¹âÇý.

ÔõÑùÔÚÂß¼­·ÖÇøÉÏ°²×° DOS Windows 9x ÏµÍ³?
-----------------------------------------

   ±¾Èí¼þ¿ÉÒÔÔÚÒ»¶¨µÄÌõ¼þÏÂÆô¶¯°²×°ÔÚÂß¼­·ÖÇøÉÏµÄ DOS/Windows 9XÏµÍ³.
µ«ÊÇ ÓÉÓÚ DOS/Windows 9X µÄ°²×°³ÌÐòµÄÏÞÖÆ, ÎÞ·¨Ö±½Ó½« DOS/Windows
9XÏµÍ³°²×° µ½Âß¼­ÅÌÉÏ.  Ä¿Ç°Ö»ÄÜÏÈÔÚ»ù±¾·ÖÇøÖÐ°²×° DOS/Windows 9X ÏµÍ³,
È»ºóÔÙÓÃ Norton Ghost»ò ÆäËü´ÅÅÌ¿½±´Èí¼þ½«Æä¿½±´µ½Âß¼­ÅÌÉÏÊ¹ÓÃ.

   Èç¹ûÒªÆô¶¯°²×°ÔÚÂß¼­·ÖÇøÖÐµÄ DOS/Windows 9X ÏµÍ³, ÐèÒªÏÈ°ÑÇ°ÃæµÄËùÓÐ
FAT·ÖÇøÒþ²ØÆðÀ´.

   Èç¹ûÕâ¸ö·ÖÇø´¦ÓÚµÚ¶þ¿é»òÒÔºóÓ²ÅÌÉÏ, »¹Ó¦¸Ã´ò¿ª½»»»Çý¶¯Æ÷±ê¼Ç.

ÔõÑùÔÚµÚ¶þ¿é(»òÒÔºó)µÄÓ²ÅÌÉÏ°²×° DOS Windows 9x/NT/2000 ÏµÍ³?
-------------------------------------------------------------

   ÒªÔÚµÚ¶þ¿é»òÒÔºóÓ²ÅÌÉÏ°²×°ÕâÐ©ÏµÍ³,
Ò»¸ö×î¼òµ¥µÄ°ì·¨¾ÍÊÇ°ÑÕâ¿éÓ²ÅÌÇ°Ãæ µÄËùÓÐÓ²ÅÌ¶¼²ðµô,
Ê¹Õâ¿éÓ²ÅÌ³ÉÎªµÚÒ»¿éÓ²ÅÌ, È»ºó°²×°ÏµÍ³. °²×°Íê³ÉºóÔÙ °ÑÆäËüÓ²ÅÌ×°ÉÏ.

   È»ºóÄã¾Í¿ÉÒÔÓÃ Smart BootManager Æô¶¯ÄÇÐ©ÏµÍ³ÁË
(ÐèÒª´ò¿ª½»»»Çý¶¯Æ÷±êÖ¾).

¼æÈÝÐÔ
******

Ó²¼þ¼æÈÝÐÔ
==========

   Smart BootManager ½öÖ§³Ö Intel i386 Æ½Ì¨. ËüÍ¬Ê±Ö§³ÖÐÂµÄÀ©Õ¹ Int 13h
(LBA ±ê×¼) ºÍÀÏµÄ CHS ±ê×¼, Òò´ËËüÖ§³Ö´óÓÚ 8G µÄÓ²ÅÌ.

Smart Boot Manager 3-x ÖÐÒÑÖªµÄ´íÎó
===================================

   ÏÖÔÚÒÑ¾­·¢ÏÖÒÔÏÂ´íÎó:
   * ÎÒ·¢ÏÖÄ³Ð©ÀàÐÍµÄÖ÷°å°²×°ÁËÓÐ´íÎóµÄ BIOS, µ¼ÖÂ Smart Boot Manager
     ²»ÄÜÕýÈ·Ê¶±ðËùÓÐÇý¶¯Æ÷ºÍ·ÖÇø.

   * ÔÚÄ³Ð©±Ê¼Ç±¾µçÄÔ»òÌ¨Ê½»úÉÏ, Smart BootManager ¿ÉÄÜ»áÕÒ³ö¶à¸öÖØ¸´µÄ
     ÈíÅÌÇý¶¯Æ÷, ÒÔÖÁÓÚÎÞ·¨ËÑË÷³öÓ²ÅÌ·ÖÇø. ÕâÊ±, ¿ÉÒÔÓÃ½öËÑË÷Ó²ÅÌÇý¶¯Æ÷
     ÃüÁî(CTRL+H)ÏÈ½«ËùÓÐÓ²ÅÌ·ÖÇøËÑË÷³öÀ´, È»ºóÔÙÓÃËÑË÷ËùÓÐÇý¶¯Æ÷ÃüÁî
     (CTRL+I)°ÑÈíÅÌÇý¶¯Æ÷ËÑË÷³öÀ´. Èç¹ûÄãµÄÓ²ÅÌÐ¡ÓÚ 8G, Ò²¿ÉÒÔÍ¨¹ý¹Ø±Õ
     À©Õ¹ Int13H À´½â¾öÕâ¸öÎÊÌâ.

²Ù×÷ÏµÍ³¼æÈÝÐÔ
==============

   ÒÔÏÂÏµÍ³ÒÑ¾­¾­¹ý²âÊÔ, ¿ÉÒÔÓÉ Smart BootManager Òýµ¼:

   * GNU/Linux x86

   * FreeBSD

   * BeOS

   * OS/2

   * Solaris x86 (½ö²âÊÔÁË Solaris 8)

   * Novell Netware

   * Microsoft DOS, Windows 9x, Windows NT ºÍ Windows 2000

   ÆäËü²Ù×÷ÏµÍ³¹À¼ÆÒ²¿ÉÒÔ¹¤×÷, µ«ÎÒÃ»ÓÐ»ú»áÈ¥ÊÔÑéËüÃÇ. Èç¹ûÄã
ÄÜ²âÊÔËüÃÇ, Çë¸æËßÎÒ½á¹û.

ÐèÒªÍê³ÉµÄ¹¤×÷
**************

   ÒÔÏÂ¹¤×÷°´ÓÅÏÈ¼¶ÅÅÁÐ:

   I. µ±Ç°°æ±¾ÐèÒª×öµÄ¹¤×÷:

   * ¸ü¶àµÄÎÄµµ.  ÒòÎªÎÒµÄÓ¢ÓïË®Æ½ºÜ²î, ËùÒÔ»¹ÓÐÐí¶àÎÄµµÃ»ÓÐÍê³É.
     ÎÒÏ£ÍûÓÐÈËÄÜ°ïÖúÎÒÐ´ Ò»Ð©ÎÄµµ.

   * Îª¶àÖÖ²Ù×÷ÏµÍ³±àÐ´¸üÁé»îµÄ°²×°³ÌÐò, ÀýÈç: Windows 9X, Linux,
     FreeBSD ºÍ DOS.

   * Îª¶àÖÖ²Ù×÷ÏµÍ³±àÐ´ Makefiles ºÍ/»ò automake/autoconf ½Å±¾.
     ÎÒ»¹Ã»ÓÐÑ§Ï°ÔõÑù±àÐ´ Makefile ÎÄ¼þ. Ï£ÍûÄÜÓÐÈË°ïÎÒ×öÕâ¸ö¹¤×÷.

   * Îª¶à¸öÏµÍ³±àÐ´¹¤¾ßÒÔÊµÏÖ Smart Boot Manager µÄ "Direct Boot" ÌØÐÔ.

   * ¸Ä´íºÍÓÅ»¯.

   * ¸ü¶à²»Í¬ÓïÑÔºÍÍâ¹ÛµÄÖ÷Ìâ.

   II. Î´À´°æ±¾ÖÐÒª¼ÓÈëµÄÌØÐÔ:

   * ÔÚÏß°²×°ºÍÐ¶ÔØ. (ÒÑÍê³É)

   * Ö§³ÖÒÔÖÜ´ÎÎªµ¥Î»µÄÆô¶¯ÈÕ³Ì. (ÒÑÍê³É)

   * Ö§³Ö·Ç±ê×¼¼üÅÌ (azerty, dvorak µÈ). (ÒÑÍê³É)

   * ¼òµ¥Ò×ÓÃµÄÃüÁî½çÃæ. (ÒÑÍê³É)

   * ½»»»Çý¶¯Æ÷. (ÒÑÍê³É)

   * Ô¤×°ÔØ°´¼üÐòÁÐ (¸ø²Ù×÷ÏµÍ³´«ËÍ°´¼üÐòÁÐ). (ÒÑÍê³É)

   * Æô¶¯ÈÕ³Ì (ÔÚ²»Í¬Ê±¼ä×Ô¶¯Æô¶¯²»Í¬µÄ²Ù×÷ÏµÍ³). (ÒÑÍê³É)

   * Ö§³Ö´Ó CD-ROM Æô¶¯.

   * Ê¹ÓÃÑ¹Ëõ¼¼ÊõÒÔËõÐ¡´úÂëµÄ³ß´ç.

   * Êó±êÖ§³Ö (Õâ¸öÄÜÊµÏÖÃ´?)

   ÄãÈç¹ûÓÐÊ²Ã´ÐÂÏë·¨ºÍ½¨Òé, Çë¸æËßÎÒ, »ò°ïÎÒÊµÏÖËüÃÇ.

ÁªÏµ×÷Õß
********

   Èç¹ûÄãÓÐÊ²Ã´ºÃµÄÏë·¨»ò½¨Òé, Çë¸æËßÎÒ! Èç¹ûÄã¶ÔÕâ¸öÈí¼þ×÷ÁËÄ³Ð©¸Ä½ø,
»ò ÖÆ×÷Ò»Ð©ºÃ¿´µÄÖ÷Ìâ, Çë±ðÍüÁË¸øÎÒÒ»·Ý, ÎÒ»á¿¼ÂÇ°ÑËüÃÇ¼ÓÈëÏÂÒ»°æ±¾ÖÐ.

   ÎÒµÄµç×ÓÓÊ¼þµØÖ·ÊÇ: suzhe@gnuchina.org (mailto:suzhe@gnuchina.org)
»ò: su_zhe@sina.com (mailto:su_zhe@sina.com)

   ÆäËû×÷ÕßµÄµØÖ·, Çë²Î¼û ×÷ Õß  Ò»½Ú.

Ãù Ð»
*****

   ÎÒÒª¸ÐÐ»ËùÓÐ°ïÖúºÍÖ§³ÖÎÒ¿ª·¢Õâ¸ö³ÌÐòµÄÈË, ÌØ±ðÊÇ:

   Chris Li (chrisl@gnuchina.org (mailto:chrisl@gnuchina.org))

   Linuxrat (linuxrat@263.net (mailto:linuxrat@263.net))

   Frédéric Bonnaud (tux.le.pengouin@free.fr
(mailto:tux.le.pengouin@free.fr))

   Zak Meekins (zmeekins@email.sjsu.edu
(mailto:zmeekins@email.sjsu.edu))

   Gnagno (gnagno@tiscalinet.it (mailto:gnagno@tiscalinet.it))

   Patrick van Brakel (patrickb@wfw.wtb.tue.nl
(mailto:patrickb@wfw.wtb.tue.nl))

   njh (njh@hawthorn.csse.monash.edu.au
(mailto:njh@hawthorn.csse.monash.edu.au))

   Lukas Kumpera (xkumpera@poli.feld.cvut.cz
(mailto:xkumpera@poli.feld.cvut.cz))

   Risko Gergely (risko@njszki.hu (mailto:risko@njszki.hu))

   Bill Hults (ehults@itofvt.net (mailto:ehults@itofvt.net))

   Sam Varghese (sam@gnubies.com (mailto:sam@gnubies.com))

   Udo Jocher (udo@udoj.org (mailto:udo@udoj.org))

   Benoit Mortier (opensides@caramail.com
(mailto:opensides@caramail.com))

   ÒÔ¼°±±¾©ÍØÁÖË¼¹«Ë¾ (TurboLinux) ºÍÇå»ª´óÑ§ SMTH BBS Linux
°æÖÐµÄÆäËûÐí¶àÅóÓÑ.

×÷ Õß
*****

   * ºËÐÄ³ÌÐòºÍÒ»Ð©¹¤¾ß:

   Suzhe (email: suzhe@gnuchina.org (mailto:suzhe@gnuchina.org))

   * °²×°³ÌÐòºÍ Makefile:

   Lonius (email: november@video.mdc.tsinghua.edu.cn
(mailto:november@video.mdc.tsinghua.edu.cn))

   * ·¨ÓïÖ÷Ìâ:

   Benoit Mortier. (benoit.mortier@hitention.com
(mailto:benoit.mortier@hitention.com))

   Frédéric Bonnaud (tux.le.pengouin@free.fr
(mailto:tux.le.pengouin@free.fr))

   * µÂÓïÖ÷Ìâ:

   Dirk Knop (dknop@gwdg.de (mailto:dknop@gwdg.de))

   * ÐÙÑÀÀûÓïÖ÷Ìâ:

   Lenart Janos (lenart@njszki.hu (lenart@njszki.hu))

   * ¶íÓïÖ÷Ìâ:

   Victor O`Muerte (vomuerte@mail.ru (mailto:vomuerte@mail.ru))

   * ½Ý¿ËÓïÖ÷Ìâ:

   brz (brz@post.cz (mailto:brz@post.cz))

   * Î÷°àÑÀÓïÖ÷Ìâ:

   Manuel Clos (llanero@jazzfree.com (mailto:llanero@jazzfree.com))

   * ÆÏÌÑÑÀÓïÖ÷Ìâ

   Andre Maldonado (agm@clix.pt (mailto:agm@clix.pt))

   * Smart Boot Manager UNIX Configurator

   Risko Gergely (risko@njszki.hu (mailto:risko@njszki.hu))

   * ATAPI Çý¶¯ºÍ NASM ±à³Ì¸¨Öú¹¤¾ß debug, helptool: Christopher Li
(chrisl@gnuchina.org (mailto:chrisl@gnuchina.org))

   * Y2k ÎÊÌâ²¹¶¡ Santiago Garcia Mantinan (manty@i.am
(mailto:manty@i.am))